locked
Updating firewall for new version of existing application RRS feed

  • Question

  • The handling of a new version of an application (one for which a firewall entry already exists for a previous version) is much worse in 2.0 compared to 1.6

     

    1.6: First time you run the new version of the application you get a prompt to Permit / Deny access through the firewall.

     

    And that is the end of the story.

     

     

    2.0: First time you run the new version of the application:

     

    It gets blocked. No notification from WLOC, it just doesn't work.

     

    You dig into WLOC, Change Settings, Firewall, Advanced Settings, Programs, Add..., find the new version of the executable, and add it - but it doesn't get added!

     

    Remove the previous version of the executable from the firewall list.

     

    Add the new version of the executable a second time - this time it works.

     

    Re-run the new version of the application.

     

     

    Please tell me that this is a bug, and not by Design.

    Wednesday, October 17, 2007 6:12 PM

Answers